# ODE Bootsrap ONE

ODE Bootstrap ONE is a theme based on ODE bootstrap framework.
This theme is customisable through variables, so it is possible to create a new theme based on this one.

## Install

Install it by cloning the repository:
```
git clone git@code.web-education.net:one/ode-bootstrap-one.git
./build.sh clean initDev
```

> initDev command will create a symlink with ode-bootstrap

## Dev

Working with `ode-dev-server`, you can watch the SCSS files to copy them directly in the right folder.

```
yarn watch
```

Working on `ode-react-ui` library, you can watch the SCSS files to copy them inside Storybook folder.

```
yarn watch:react
```

## Components

To override styles we use SCSS and CSS Variables.

```scss
// ode-bootstrap-one > _form-control.scss

$input-focus-border-color: $orange-200;

.form-control {
  --#{$prefix}input-focus-border-color: #{$input-focus-border-color};
}
```
